Bug 11250 - Не создаёт запись для localhost в /etc/hosts
: Не создаёт запись для localhost в /etc/hosts
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-net-general)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
: http://lists.altlinux.org/pipermail/s...
:
:
:
  Show dependency tree
 
Reported: 2007-03-28 18:11 by
Modified: 2007-10-15 12:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-28 18:11:51
(Я не знаю точно какой из компонентов альтератора редкатирует /etc/hosts,
поэтому повешал на тот, который, как мне кажется, наиболее подходит.)

После установки системы в /etc/hosts я получил запись вида:

coder@alt0 ~ $ cat /etc/hosts
127.0.0.1       alt0.domain alt0

Из-за чего у меня, при таких настройках отказывался запускаться PostgreSQL:

coder@alt0 ~ $ sudo service postgresql start
Adjusting environment for postgresql:                                   [ DONE
]
Starting postmaster service:                                            [ DONE
]
Link postgresql socket:                                                
[FAILED]
coder@alt0 ~ $ echo $?
0

(BTW, mihraen@, а почему у него статус завершения ноль?)

После добавления в /etc/hosts записи для localhost, PostgreSQL успешно
запускается:

coder@alt0 ~ $ cat /etc/hosts
127.0.0.1       alt0.jet.msk.su alt0 localhost
------- Comment #1 From 2007-03-28 18:19:11 -------
А что за версия net-general?
Вроде как не должно там такого быть.

Можно попробовать его потестировать через alterator-cmdline (на предмет добавляется)

$alterator-cmdline /net-general action write hostname "alt0.domain"

Если тут всё сработает, то значит надо выяснять всё ли в порядке в
alterator-install2.



------- Comment #2 From 2007-03-29 18:22:31 -------
В общем у меня не воспроизводится, или перевешивать надо на installer или я
закрываю багу.
------- Comment #3 From 2007-03-29 18:23:54 -------
Я бы хотел дождаться новой беты, прежде чем закрывать
------- Comment #4 From 2007-04-07 04:24:46 -------
Новая бета опубликована, проверьте, пожалуйста, ещё раз.
------- Comment #5 From 2007-10-15 12:35:11 -------
Закрываю как FIXED.